Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 199911 - cupsd randomly dies
Summary: cupsd randomly dies
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-07-24 09:33 UTC by Andrew Clayton
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-11 13:08:44 UTC


Attachments (Terms of Use)
Snippet of cups error_log (deleted)
2006-08-17 17:43 UTC, Andrew Clayton
no flags Details

Description Andrew Clayton 2006-07-24 09:33:11 UTC
Description of problem:

cupsd is randomly segfaulting on a number of machines 

Version-Release number of selected component (if applicable):

cups-1.2.1-1.7

How reproducible:

Random


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Here is whats in dmesg from three machines all FC5/x86-64:

cupsd[1429] general protection rip:2ad4ce361600 rsp:7fffdd3b29d8 error:0
cupsd[14780]: segfault at 0000000000000021 rip 00002ae20f80b6ac rsp
00007fff9bb26350 error 6

cupsd[27384]: segfault at 0000000000000001 rip 00002b0c31d27040 rsp
00007fff799e4108 error 4

cupsd[22506]: segfault at 0000000000000001 rip 00002ada30b7d5e0 rsp
00007fff7ab931b8 error 4

Comment 1 Tim Waugh 2006-07-24 10:13:39 UTC
Please try this test update:

https://www.redhat.com/archives/fedora-test-list/2006-July/msg00555.html

Does that fix the problem?

How frequently does this happen?

Comment 2 Tim Waugh 2006-08-17 12:05:25 UTC
Any news on whether the test update fixes the problem?

Comment 3 Andrew Clayton 2006-08-17 12:30:31 UTC
I'd tentatively say yes. It's been a few weeks and no problems.

Cheers.


Comment 4 Andrew Clayton 2006-08-17 14:42:44 UTC
Just had cups die on another machine around here. The machine printed someting
then wouldn't print no more...

FC5, cups-1.2.2-1.1, which seems to be the same version as the update I'm running.


Comment 5 Tim Waugh 2006-08-17 16:11:17 UTC
Any clues about what happened?  Any dmesg messages look relevant?

Please attach the /var/log/cups/error_log from that machine (or at least the
last few lines of it..).

Comment 6 Andrew Clayton 2006-08-17 17:35:57 UTC
From dmesg

cupsd[1660]: segfault at 0000000000000000 rip 00002afffff9b040 rsp
00007fffab8ed1c8 error 4

I've attached all the entries for today from the cups error_log

(I'm seeing a lot of references to a printer which is long gone. Possibly some
other machine is trying to print to that. But I don't think thats causing cups
to die)

This looks like the few line before and after death.

I [17/Aug/2006:15:35:24 +0100] Job 1353 queued on "sage-raw" by "lorraine".
I [17/Aug/2006:15:35:24 +0100] Started backend /usr/lib/cups/backend/usb (PID
4311) for job 1353.
W [17/Aug/2006:15:46:17 +0100] "AuthClass System" is deprecated; consider using
"Require @SYSTEM" on line 840.
I [17/Aug/2006:15:46:17 +0100] Sending browsing info to 81.2.82.71:631 (IPv4)
I [17/Aug/2006:15:46:17 +0100] Sending browsing info to 81.187.70.127:631 (IPv4)

sage-raw is just a raw print queue for a windows machine. 


Cheers,


Comment 7 Andrew Clayton 2006-08-17 17:43:48 UTC
Created attachment 134399 [details]
Snippet of cups error_log

Comment 8 Tim Waugh 2006-08-30 16:17:56 UTC
Please change /etc/cups/cupsd.conf so that the 'LogLevel' line reads:

LogLevel debug2

That way when it happens again we'll have lots more information about what went
wrong.  Thanks.

Comment 9 Andrew Clayton 2006-08-30 16:56:03 UTC
OK. Done.

Cheers,


Comment 10 Tim Waugh 2006-09-01 09:30:04 UTC
Oh, I forgot to mention -- if this is on an always-on server you'll need to
restart cups as well (/sbin/service cups restart).

Thanks.  Let me know if/when it happens again.. (I'll leave this in NEEDINFO
until then)

Comment 11 Tim Waugh 2006-12-11 13:08:44 UTC
Closing.  Please re-open if this happens again.


Note You need to log in before you can comment on or make changes to this bug.